CVE-2004-0237
CVSS5.0
发布时间 :2004-11-23 00:00:00
修订时间 :2016-10-17 22:42:12
NMCOES    

[原文]Directory traversal vulnerability in index.php in Aprox PHP Portal allows remote attackers to read arbitrary files via a full pathname in the show parameter.


[CNNVD]Aprox Portal文件泄露漏洞(CNNVD-200411-067)

        Aprox PHP Portal的index.php存在目录遍历漏洞。远程攻击者可以借助一个show参数下的全路径名读取任意文件。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0237
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0237
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200411-067
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107577555527321&w=2
(UNKNOWN)  BUGTRAQ  20040131 Directory Traversal in Aprox PHP Portal.
http://securitytracker.com/id?1008915
(UNKNOWN)  SECTRACK  1008915
http://www.securityfocus.com/bid/9540
(VENDOR_ADVISORY)  BID  9540
http://xforce.iss.net/xforce/xfdb/15014
(VENDOR_ADVISORY)  XF  aproxphpportal-index-directory-traversal(15014)

- 漏洞信息

Aprox Portal文件泄露漏洞
中危 路径遍历
2004-11-23 00:00:00 2005-10-20 00:00:00
远程  
        Aprox PHP Portal的index.php存在目录遍历漏洞。远程攻击者可以借助一个show参数下的全路径名读取任意文件。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (23630)

Aprox Portal 3.0 File Disclosure Vulnerability (EDBID:23630)
php webapps
2004-01-31 Verified
0 Zero X
N/A [点击下载]
source: http://www.securityfocus.com/bid/9540/info

Aprox Portal is prone to a vulnerability that may permit remote attackers to gain access to files that are readable by the hosting web server. These files may exist outside of the server root.

This could expose sensitive information that may be useful in further attacks against the host. 

http://www.example.com/index.php?show=/etc/passwd 		

- 漏洞信息

10859
Aprox PHP Portal index.php Arbitrary File Access
Remote / Network Access Information Disclosure
Loss of Confidentiality Upgrade
Exploit Public Third-party Verified

- 漏洞描述

Aprox PHP Portal contains a flaw that allows a remote attacker to view arbitrary files outside of the web path. The issue is due to the 'index.php' script not properly sanitizing user input supplied via the 'show' variable, which could allow a remote attacker to view any file on the system resulting in a loss of confidentiality.

- 时间线

2004-01-31 Unknow
2004-01-31 Unknow

- 解决方案

Upgrade to version 4.00.08 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Aprox Portal File Disclosure Vulnerability
Access Validation Error 9540
Yes No
2004-01-31 12:00:00 2009-07-12 02:06:00
Discovery of this issue is credited to Zero_X www.lobnan.de Team <zero-x@linuxmail.org>.

- 受影响的程序版本

Aprox Portal Aprox Portal 3.0 Final

- 漏洞讨论

Aprox Portal is prone to a vulnerability that may permit remote attackers to gain access to files that are readable by the hosting web server. These files may exist outside of the server root.

This could expose sensitive information that may be useful in further attacks against the host.

- 漏洞利用

This issue may be exploited with a web browser. The following example was provided:

http://www.example.com/index.php?show=/etc/passwd

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站